<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>Uses of Interface org.apache.commons.configuration2.event.EventListener (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.commons.configuration2.event.EventListener (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/event/class-use/EventListener.html" target="_top">Frames</a></li>
<li><a href="EventListener.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface org.apache.commons.configuration2.event.EventListener" class="title">Uses of Interface<br>org.apache.commons.configuration2.event.EventListener</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2">org.apache.commons.configuration2</a></td>
<td class="colLast">
<div class="block">
 The Configuration main package.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.builder">org.apache.commons.configuration2.builder</a></td>
<td class="colLast">
<div class="block">
 This package contains the implementations of <em>configuration builder</em>
 classes used to create new <code>Configuration</code> objects.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.builder.combined">org.apache.commons.configuration2.builder.combined</a></td>
<td class="colLast">
<div class="block">
 A package containing the implementation of the builder for combined
 configurations.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.event">org.apache.commons.configuration2.event</a></td>
<td class="colLast">
<div class="block">
 This package contains interfaces and classes for receiving notifications
 about changes at configurations.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.apache.commons.configuration2.reloading">org.apache.commons.configuration2.reloading</a></td>
<td class="colLast">
<div class="block">
 This package contains classes and interfaces related to the reloading mechanism.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.apache.commons.configuration2">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a> in <a href="../../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a> that implement <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/CombinedConfiguration.html" title="class in org.apache.commons.configuration2">CombinedConfiguration</a></span></code>
<div class="block">
 A hierarchical composite configuration class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/DynamicCombinedConfiguration.html" title="class in org.apache.commons.configuration2">DynamicCombinedConfiguration</a></span></code>
<div class="block">
 DynamicCombinedConfiguration allows a set of CombinedConfigurations to be
 used.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/PropertiesConfigurationLayout.html" title="class in org.apache.commons.configuration2">PropertiesConfigurationLayout</a></span></code>
<div class="block">
 A helper class used by <a href="../../../../../../org/apache/commons/configuration2/PropertiesConfiguration.html" title="class in org.apache.commons.configuration2"><code>PropertiesConfiguration</code></a> to keep
 the layout of a properties file.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a> that return types with arguments of type <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;<br><a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super T&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">PatternSubtreeConfigurationWrapper.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/PatternSubtreeConfigurationWrapper.html#getEventListeners-org.apache.commons.configuration2.event.EventType-">getEventListeners</a></span>(<a href="../../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;T&gt;&nbsp;eventType)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/package-summary.html">org.apache.commons.configuration2</a> with parameters of type <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;<br>void</code></td>
<td class="colLast"><span class="typeNameLabel">PatternSubtreeConfigurationWrapper.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/PatternSubtreeConfigurationWrapper.html#addEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">addEventListener</a></span>(<a href="../../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;T&gt;&nbsp;eventType,
                <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super T&gt;&nbsp;listener)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;<br>void</code></td>
<td class="colLast"><span class="typeNameLabel">DynamicCombinedConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/DynamicCombinedConfiguration.html#addEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">addEventListener</a></span>(<a href="../../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;T&gt;&nbsp;eventType,
                <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super T&gt;&nbsp;listener)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;<br>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">PatternSubtreeConfigurationWrapper.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/PatternSubtreeConfigurationWrapper.html#removeEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">removeEventListener</a></span>(<a href="../../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;T&gt;&nbsp;eventType,
                   <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super T&gt;&nbsp;listener)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;<br>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">DynamicCombinedConfiguration.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/DynamicCombinedConfiguration.html#removeEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">removeEventListener</a></span>(<a href="../../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;T&gt;&nbsp;eventType,
                   <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super T&gt;&nbsp;listener)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.builder">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a> in <a href="../../../../../../org/apache/commons/configuration2/builder/package-summary.html">org.apache.commons.configuration2.builder</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/builder/package-summary.html">org.apache.commons.configuration2.builder</a> with parameters of type <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>&lt;E extends <a href="../../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;<br>void</code></td>
<td class="colLast"><span class="typeNameLabel">BasicConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#addEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">addEventListener</a></span>(<a href="../../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;E&gt;&nbsp;eventType,
                <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super E&gt;&nbsp;listener)</code>
<div class="block">Adds an event listener for the specified event type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;<br><a href="../../../../../../org/apache/commons/configuration2/builder/EventListenerParameters.html" title="class in org.apache.commons.configuration2.builder">EventListenerParameters</a></code></td>
<td class="colLast"><span class="typeNameLabel">EventListenerParameters.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/EventListenerParameters.html#addEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">addEventListener</a></span>(<a href="../../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;T&gt;&nbsp;eventType,
                <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super T&gt;&nbsp;listener)</code>
<div class="block">Adds an event listener of the specified event type to this object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected &lt;E extends <a href="../../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;<br>void</code></td>
<td class="colLast"><span class="typeNameLabel">BasicConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#installEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">installEventListener</a></span>(<a href="../../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;E&gt;&nbsp;eventType,
                    <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super E&gt;&nbsp;listener)</code>
<div class="block">Adds the specified event listener to this object.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>&lt;E extends <a href="../../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;<br>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">BasicConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/BasicConfigurationBuilder.html#removeEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">removeEventListener</a></span>(<a href="../../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;E&gt;&nbsp;eventType,
                   <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super E&gt;&nbsp;listener)</code>
<div class="block">Removes the event listener registration for the given event type and
 listener.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.builder.combined">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a> in <a href="../../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">org.apache.commons.configuration2.builder.combined</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/builder/combined/package-summary.html">org.apache.commons.configuration2.builder.combined</a> with parameters of type <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>&lt;E extends <a href="../../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;<br>void</code></td>
<td class="colLast"><span class="typeNameLabel">MultiFileConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileConfigurationBuilder.html#addEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">addEventListener</a></span>(<a href="../../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;E&gt;&nbsp;eventType,
                <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super E&gt;&nbsp;l)</code>
<div class="block">Adds an event listener for the specified event type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>&lt;E extends <a href="../../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;<br>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">MultiFileConfigurationBuilder.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/builder/combined/MultiFileConfigurationBuilder.html#removeEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">removeEventListener</a></span>(<a href="../../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;E&gt;&nbsp;eventType,
                   <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super E&gt;&nbsp;l)</code>
<div class="block">Removes the event listener registration for the given event type and
 listener.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.event">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a> in <a href="../../../../../../org/apache/commons/configuration2/event/package-summary.html">org.apache.commons.configuration2.event</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/event/package-summary.html">org.apache.commons.configuration2.event</a> that return <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super <a href="../../../../../../org/apache/commons/configuration2/event/EventListenerRegistrationData.html" title="type parameter in EventListenerRegistrationData">T</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">EventListenerRegistrationData.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/event/EventListenerRegistrationData.html#getListener--">getListener</a></span>()</code>
<div class="block">Returns the listener this registration is about.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super <a href="../../../../../../org/apache/commons/configuration2/event/EventListenerList.EventListenerIterator.html" title="type parameter in EventListenerList.EventListenerIterator">T</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">EventListenerList.EventListenerIterator.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/event/EventListenerList.EventListenerIterator.html#next--">next</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/event/package-summary.html">org.apache.commons.configuration2.event</a> that return types with arguments of type <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;<br><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Iterable.html?is-external=true" title="class or interface in java.lang">Iterable</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super T&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">EventListenerList.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/event/EventListenerList.html#getEventListeners-org.apache.commons.configuration2.event.EventType-">getEventListeners</a></span>(<a href="../../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;T&gt;&nbsp;eventType)</code>
<div class="block">Returns an <code>Iterable</code> allowing access to all event listeners stored
 in this list which are compatible with the specified event type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;<br><a href="http://docs.oracle.com/javase/7/docs/api/java/util/Collection.html?is-external=true" title="class or interface in java.util">Collection</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super T&gt;&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">BaseEventSource.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/event/BaseEventSource.html#getEventListeners-org.apache.commons.configuration2.event.EventType-">getEventListeners</a></span>(<a href="../../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;T&gt;&nbsp;eventType)</code>
<div class="block">Returns a collection with all event listeners of the specified event type
 that are currently registered at this object.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/event/package-summary.html">org.apache.commons.configuration2.event</a> with parameters of type <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;<br>void</code></td>
<td class="colLast"><span class="typeNameLabel">EventSource.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/event/EventSource.html#addEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">addEventListener</a></span>(<a href="../../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;T&gt;&nbsp;eventType,
                <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super T&gt;&nbsp;listener)</code>
<div class="block">Adds an event listener for the specified event type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;<br>void</code></td>
<td class="colLast"><span class="typeNameLabel">EventListenerList.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/event/EventListenerList.html#addEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">addEventListener</a></span>(<a href="../../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;T&gt;&nbsp;type,
                <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super T&gt;&nbsp;listener)</code>
<div class="block">Adds an event listener for the specified event type.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;<br>void</code></td>
<td class="colLast"><span class="typeNameLabel">BaseEventSource.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/event/BaseEventSource.html#addEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">addEventListener</a></span>(<a href="../../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;T&gt;&nbsp;eventType,
                <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super T&gt;&nbsp;listener)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;<br>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">EventSource.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/event/EventSource.html#removeEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">removeEventListener</a></span>(<a href="../../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;T&gt;&nbsp;eventType,
                   <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super T&gt;&nbsp;listener)</code>
<div class="block">Removes the event listener registration for the given event type and
 listener.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;<br>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">EventListenerList.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/event/EventListenerList.html#removeEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">removeEventListener</a></span>(<a href="../../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;T&gt;&nbsp;eventType,
                   <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super T&gt;&nbsp;listener)</code>
<div class="block">Removes the event listener registration for the given event type and
 listener.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;<br>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">BaseEventSource.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/event/BaseEventSource.html#removeEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">removeEventListener</a></span>(<a href="../../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;T&gt;&nbsp;eventType,
                   <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super T&gt;&nbsp;listener)</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing constructors, and an explanation">
<caption><span>Constructors in <a href="../../../../../../org/apache/commons/configuration2/event/package-summary.html">org.apache.commons.configuration2.event</a> with parameters of type <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/event/EventListenerRegistrationData.html#EventListenerRegistrationData-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">EventListenerRegistrationData</a></span>(<a href="../../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;<a href="../../../../../../org/apache/commons/configuration2/event/EventListenerRegistrationData.html" title="type parameter in EventListenerRegistrationData">T</a>&gt;&nbsp;type,
                             <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super <a href="../../../../../../org/apache/commons/configuration2/event/EventListenerRegistrationData.html" title="type parameter in EventListenerRegistrationData">T</a>&gt;&nbsp;lstnr)</code>
<div class="block">Creates a new instance of <code>EventListenerRegistrationData</code>.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.apache.commons.configuration2.reloading">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a> in <a href="../../../../../../org/apache/commons/configuration2/reloading/package-summary.html">org.apache.commons.configuration2.reloading</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../org/apache/commons/configuration2/reloading/package-summary.html">org.apache.commons.configuration2.reloading</a> with parameters of type <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;<br>void</code></td>
<td class="colLast"><span class="typeNameLabel">ReloadingController.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html#addEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">addEventListener</a></span>(<a href="../../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;T&gt;&nbsp;eventType,
                <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super T&gt;&nbsp;listener)</code>
<div class="block">Adds an event listener for the specified event type.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>&lt;T extends <a href="../../../../../../org/apache/commons/configuration2/event/Event.html" title="class in org.apache.commons.configuration2.event">Event</a>&gt;<br>boolean</code></td>
<td class="colLast"><span class="typeNameLabel">ReloadingController.</span><code><span class="memberNameLink"><a href="../../../../../../org/apache/commons/configuration2/reloading/ReloadingController.html#removeEventListener-org.apache.commons.configuration2.event.EventType-org.apache.commons.configuration2.event.EventListener-">removeEventListener</a></span>(<a href="../../../../../../org/apache/commons/configuration2/event/EventType.html" title="class in org.apache.commons.configuration2.event">EventType</a>&lt;T&gt;&nbsp;eventType,
                   <a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">EventListener</a>&lt;? super T&gt;&nbsp;listener)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../org/apache/commons/configuration2/event/EventListener.html" title="interface in org.apache.commons.configuration2.event">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/apache/commons/configuration2/event/class-use/EventListener.html" target="_top">Frames</a></li>
<li><a href="EventListener.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
